Subject: Re: [PATCH net-next 1/5] tcp: add sysctls for TCP PLB parameters

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Sep 2022 19:37:31 -0700

On Thu, 29 Sep 2022 14:24:43 +0000 Mubashir Adnan Qureshi wrote:
> PLB (Protective Load Balancing) is a host based mechanism for load
> balancing across switch links. It leverages congestion signals(e.g. ECN)
> from transport layer to randomly change the path of the connection
> experiencing congestion. PLB changes the path of the connection by
> changing the outgoing IPv6 flow label for IPv6 connections (implemented
> in Linux by calling sk_rethink_txhash()). Because of this implementation
> mechanism, PLB can currently only work for IPv6 traffic. For more
> information, see the SIGCOMM 2022 paper:
>   https://doi.org/10.1145/3544216.3544226
> 
> This commit adds new sysctl knobs and sets their default values for
> TCP PLB.

please try to build each individual patch, this one breaks build:

net/ipv4/tcp_ipv4.c:3225:47: error: use of undeclared identifier 'TCP_PLB_SCALE'
        net->ipv4.sysctl_tcp_plb_cong_thresh = (1 << TCP_PLB_SCALE) / 2;
                                                     ^